### Function

# Fwupd Codec array_from_variant

since: 2.0.0

#### Declaration [src]

    GPtrArray*
    fwupd_codec_array_from_variant (
      GVariant* value,
      GType gtype,
      GError** error
    )

#### Description [src]

Converts an array of objects, each deserialized from a `GVariant` value.

Available since: 2.0.0

#### Parameters

`value`

  Type: `GVariant`

  A JSON node.

  The data is owned by the caller of the function.

`gtype`

  Type: `GType`

  A `GType` that implements `FwupdCodec`

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `GObject*`

`TRUE` on success.

The caller of the function takes ownership of the data container, but not the data inside it.